aboutsummaryrefslogtreecommitdiff
path: root/ci/run_tests.sh
diff options
context:
space:
mode:
authorLKedward <laurence.kedward@bristol.ac.uk>2020-11-30 14:58:58 +0000
committerLKedward <laurence.kedward@bristol.ac.uk>2020-11-30 14:58:58 +0000
commit240060f49ac937b3582d91f13f6e6d66422ebcd6 (patch)
tree3ea212429ab9a0509dc4880c5733b4f99773f92b /ci/run_tests.sh
parent105644ca8bce711b407e1a15f8f456693f60ff43 (diff)
downloadfpm-240060f49ac937b3582d91f13f6e6d66422ebcd6.tar.gz
fpm-240060f49ac937b3582d91f13f6e6d66422ebcd6.zip
Update: CI to also test release version
Diffstat (limited to 'ci/run_tests.sh')
-rwxr-xr-xci/run_tests.sh35
1 files changed, 17 insertions, 18 deletions
diff --git a/ci/run_tests.sh b/ci/run_tests.sh
index 894b1f0..3588012 100755
--- a/ci/run_tests.sh
+++ b/ci/run_tests.sh
@@ -1,30 +1,26 @@
#!/bin/bash
+set -ex
-get_abs_filename() {
- # $1 : relative filename
- filename=$1
- parentdir=$(dirname "${filename}")
+cd $(dirname $0)/../fpm
- if [ -d "${filename}" ]; then
- echo "$(cd "${filename}" && pwd)"
- elif [ -d "${parentdir}" ]; then
- echo "$(cd "${parentdir}" && pwd)/$(basename "${filename}")"
- fi
-}
+fpm build $@
-set -ex
+# Run fpm executable
+fpm run $@
+fpm run $@ -- --version
+fpm run $@ -- --help
-cd fpm
-fpm build
-fpm run
+# Run tests
rm -rf fpm_scratch_*/
-fpm test
+fpm test $@
rm -rf fpm_scratch_*/
-f_fpm_path="$(get_abs_filename $(find build -regex 'build/.*/app/fpm'))"
-"${f_fpm_path}"
+# Build example packages
+f_fpm_path="$(fpm run $@ --runner echo)"
+cd ../example_packages/
+rm -rf ./*/build
-cd ../example_packages/hello_world
+cd hello_world
"${f_fpm_path}" build
./build/gfortran_debug/app/hello_world
@@ -77,3 +73,6 @@ cd ../link_external
cd ../link_executable
"${f_fpm_path}" build
./build/gfortran_debug/app/gomp_test
+
+# Cleanup
+rm -rf ./*/build \ No newline at end of file